Bug 484204 - Shadow missing top and bottom on windows with width>X
Shadow missing top and bottom on windows with width>X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emerald (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nikolay Vladimirov
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 07:46 EST by analyzer
Modified: 2009-12-18 02:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ltrace when no shadow bug on the window (124.54 KB, text/plain)
2009-02-07 21:24 EST, analyzer
no flags Details
ltrace when shadow bug on the window (124.43 KB, text/plain)
2009-02-07 21:25 EST, analyzer
no flags Details

  None (edit)
Description analyzer 2009-02-05 07:46:14 EST
I am experiencing the same bug, as are others
(http://ubuntuforums.org/showthread.php?p=6140611).

Screenshots:
http://requesthelp.free.fr/ccsm_bug.png
http://www.broadskies.net/testing/ubuntuforum/Screenshot.jpg

It seems that the greater the shadow radius is set to, correspondingly the more
narrow in width a window must be for the bug not to show up.

Likewise, the lower the shadow radius is set, the wider the windows can be
without the bug showing up.

So, depending on what the shadow radius on the emerald theme is set to, the
shadow at top and bottom of windows works just fine UNTIL the window is sized
wide enough - then the bug appears.  The smaller the shadow radius setting, the
wider the windows can be before the bug appears.  Likewise, the greater the
shadow radius setting, the more narrow a window must be sized to prevent the
bug.

I would imagine then that many would not see the bug, depending on which
emerald theme they may be using (with its shadow radius setting) , and
depending perhaps on the width of their screen resolution.  If they do not have
a wide-screen, for example, their windows may never be sized wide enough to
reveal the bug (depending of course, again, on what the shadow radius setting
happens to be on the theme they are using).

In the image I provide above, a few of the emerald theme settings are:
Frame engine:  pixmap (0.2)
Shadows > Radius: 18.9
Comment 1 analyzer 2009-02-07 12:01:52 EST
Hello there,

Im trying to figure out why this bug happens, but it is clearly hard for me since I dont know really where to look.

By the way, I noticed something which perhaps could help.

I have two windows, one with width wide enough to make the top/bottom shadows disappear, and one which is fine to launch "emerald --replace" command line.

When I launched emerald, I noticed that the top/bottom shadows are fine, and then they disappear suddenly. So, my point is that emerald (at launch) redraw the shadow 2 times at start, first time correctly and last time without top/bottom shadow.

When resizing, the shadows don't seem to appear at anytime.

Hope that helps, feel free to contact me if you want some help.
Comment 2 Nikolay Vladimirov 2009-02-07 13:09:02 EST
Ok, since it's an upstream bug and I'm not emerald upstream developer I'll see if this was reported if not I will forward your bug report to them.
Comment 3 analyzer 2009-02-07 13:25:53 EST
It is reported: http://bugs.opencompositing.org/show_bug.cgi?id=1060

No more maintainer for emerald project.
Comment 4 analyzer 2009-02-07 21:23:47 EST
If anyone can help me locating this bug, I will provide below two ltrace of "emerald --replace" command.

The two ltrace are launched with the same environment, the only difference is the size of the window (ok=no_shadow_bug, ko=shadow_bug).

If at least I can have a clue, perhaps it could be fixed easily :)
Comment 5 analyzer 2009-02-07 21:24:37 EST
Created attachment 331220 [details]
ltrace when no shadow bug on the window
Comment 6 analyzer 2009-02-07 21:25:07 EST
Created attachment 331221 [details]
ltrace when shadow bug on the window
Comment 7 analyzer 2009-02-12 13:47:27 EST
Apparently, a patch exists and the git version of compiz is updated.
Cant test it since I havent any rpm
If you or anyone can build the git version, i will be glad to test it and close the bug !
Comment 8 Nikolay Vladimirov 2009-02-13 01:52:52 EST
I will try to get to this tomorrow. I'll do a build in koji and post a link for testing before pushing it to updates
Comment 9 analyzer 2009-02-13 11:40:15 EST
Thank you, I will keep you informed, and if it is not fixed, I will get in touch again with some compiz devs.
Comment 10 analyzer 2009-02-15 15:29:14 EST
dont forget me ;)
Comment 11 Nikolay Vladimirov 2009-02-15 15:52:14 EST
I didn't It's just that for the last 40 hours I've been in an office - working. I'll try to get to this as soon as I can.
Comment 12 analyzer 2009-02-15 16:20:17 EST
No problem, just wanted to stay in touch about this, take your time pal !
Comment 13 analyzer 2009-02-28 06:58:19 EST
any news ? :p
Comment 14 analyzer 2009-03-13 21:10:09 EDT
or not :)
Comment 15 Nikolay Vladimirov 2009-04-22 02:28:59 EDT
I'm really sorry for the big delay. 

I forgot to inform you but I had the time to look at the bug some weeks ago and if I patch this it will be actually a higher version of emerald(excluding translations) so I decided to wait for the compiz maintainer to update compiz to 0.8.x which will happen after the 11 release. The branches are in place so it might be at zero-day in updates-testing or in f12 branch before that. And since it's somewhat low impact bug I decided to wait.
Comment 16 analyzer 2009-05-12 17:45:09 EDT
compiz 0.8.2 seems stable ! :]
Comment 17 analyzer 2009-06-09 18:07:04 EDT
Possible to have a rebuild targeted for f10 ? (compiz-0.8.2-3.fc12)
Comment 18 Bug Zapper 2009-11-18 07:45:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-12-18 02:49:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.